summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoel Sherrill <joel@rtems.org>2018-11-16 16:31:40 -0600
committerJoel Sherrill <joel@rtems.org>2018-11-16 16:32:59 -0600
commitdf3f2a49fba019956ec1b9520bdae95db43209c2 (patch)
tree73cf66f0b883177068600fe0c54ed94d4329a2c2
parent11d977b91682b38b8b153ee33caaac4e127f48a6 (diff)
downloadrtems-docs-df3f2a49fba019956ec1b9520bdae95db43209c2.tar.bz2
users/host/posix.rst: Update Ubuntu instructions based on 18.04.1 LTS
Closes #3416.
-rw-r--r--user/hosts/posix.rst16
1 files changed, 13 insertions, 3 deletions
diff --git a/user/hosts/posix.rst b/user/hosts/posix.rst
index 978ad37..2b2cd3f 100644
--- a/user/hosts/posix.rst
+++ b/user/hosts/posix.rst
@@ -107,11 +107,21 @@ prefix under your home directory as recommended and end up on the SD card.
Ubuntu
~~~~~~
-The latest version is Ubuntu 16.04.1 LTS 64bit. This section also includes
+The latest version is Ubuntu 18.04.1 LTS 64-bit. This section also includes
Xubuntu. A minimal installation was used and the following packages installed::
- $ sudo apt-get build-dep binutils gcc g++ gdb unzip pax bison flex
- $ sudo apt-get install python2.7-dev git libncurses5-dev zlib1g-dev
+ $ sudu apt-get build-dep gcc-defaults g++ gdb git unzip pax bison \
+ flex libpython-dev git libncurses5-dev zlib1g-dev
+
+Note that in previous versions of Ubuntu, the package libpython-dev was
+python2.7-dev. The name of packages changes over time. You need the
+package with Python development libraries for C/C++ programs.
+
+It is likely necessary that you will have to enable the Ubuntu Source Repositories.
+Users have suggested the following web pages which have instructions:
+
+* https://askubuntu.com/questions/158871/how-do-i-enable-the-source-code-repositories/158872
+* https://askubuntu.com/questions/496549/error-you-must-put-some-source-uris-in-your-sources-list
.. _Linux Mint: